#define _ARMA_

class CfgPatches
{
	class ttt_cubesample
	{
		units[] = {"ttt_cube"};
		weapons[] = {};
		requiredVersion = 1.76;
		requiredAddons[] = {"A3_Structures_F"};
	};
};

class CfgVehicles
{
	class ThingX;
	class ttt_cube: ThingX
	{
		model = "\ttt_cubesample\ttt_cube.p3d";
		displayName = "Cube Sample";
		scope = 2;
		scopeCurator = 2;
		scopeArsenal = 1;
		vehicleClass = "Tents";

		class AnimationSources
		{
			class door_source
			{
				source = "user";
				initPhase = 0;
				animPeriod = 2;
			};
		};
		class UserActions
		{
			class openDoor
			{
				displayName = "Open Door";
				condition = "this animationSourcePhase 'door_source' < 0.1";
				statement = "this animateSource ['door_source', 1];";
				position = "door_handle";
				radius = 15;
				onlyforplayer = 1;
				priority = 5;
				showWindow = 0;
			};
			class closeDoor: openDoor
			{
				displayName = "Close Door";
				condition = "this animationSourcePhase 'door_source' > 0.9";
				statement = "this animateSource ['door_source', 0];";
			};
		};
	};
	class ttt_cube_open: ttt_cube
	{
		displayName = "Cube Sample open";
		class AnimationSources: AnimationSources
		{
			class door_source: door_source
			{
				initPhase = 1;
			};
		};
	};
};